feldspar-language-0.6.0.2: A functional embedded language for DSP and parallelism

Safe Haskell | None

Feldspar.Core.Constructs.Future

# Documentation

data FUTURE a where

Constructors

MkFuture :: Type a => FUTURE (a :-> Full (FVal a)) |
Await :: Type a => FUTURE (FVal a :-> Full a) |

Instances

EvalBind FUTURE |
Semantic FUTURE |
Eval FUTURE |
Render FUTURE |
ToTree FUTURE |
Equality FUTURE |
Sharable FUTURE |
AlphaEq dom dom dom env => AlphaEq FUTURE FUTURE dom env |
SizeProp (:|| FUTURE Type) |
(:<: (:|| FUTURE Type) dom, OptimizeSuper dom) => Optimize (:|| FUTURE Type) dom |